=== debian/changelog ===
dff (1.2.0+dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #644928)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 Oct 2011 23:38:08 +0200
