=== debian/control ===
Source: dff
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 8.0.0),
    cmake,
    python-all-dev (>= 2.6.6-3~),
    python-qt4,
    pyqt4-dev-tools,
    qt4-dev-tools,
    qt4-linguist-tools,
    python-magic,
    swig (>= 1.3.38),
    libfuse-dev,
    libmagic-dev,
    flex,
    bison
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://www.digital-forensic.org/
#Vcs-Git: git://git.debian.org/collab-maint/dff.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/dff.git;a=summary

Package: dff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
    python-qt4,
    python-magic
Recommends: python-dbus, libfuse2, libqt4-sql-sqlite, hal, dbus,
    python-qt4-phonon
Description: Powerful, efficient and modular digital forensic framework
 DFF is a simple but powerful open source tool with a flexible module system
 which will help you in your digital forensics works, including files recovery
 due to error or crash, evidence research and analysis, etc.
 The source code is written in C++ and Python, allowing performances and great
 extensibility.
